Bug 1145195 - Bundle destination view: deployments table shows partial results and purge button is disabled even if there is a live deployment
Summary: Bundle destination view: deployments table shows partial results and purge bu...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Provisioning, UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER04
: JON 3.3.0
Assignee: Thomas Segismont
QA Contact: Armine Hovsepyan
URL:
Whiteboard:
Keywords:
Depends On: 1145648
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-22 14:17 UTC by Armine Hovsepyan
Modified: 2015-09-03 00:03 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:04:49 UTC


Attachments (Terms of Use)
deployments (181.60 KB, image/png)
2014-09-22 14:17 UTC, Armine Hovsepyan
no flags Details
purge_btn (177.94 KB, image/png)
2014-09-23 08:56 UTC, Armine Hovsepyan
no flags Details
purge_btn_deployment_count_300 (172.35 KB, image/png)
2014-10-07 09:43 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2014-09-22 14:17:59 UTC
Created attachment 940038 [details]
deployments

Description of problem:
only last 50 deployments to destination are visible on GUI

Version-Release number of selected component (if applicable):
JON 3.3 ER03

How reproducible:
always

Steps to Reproduce:
1. create a bundle
2. deploy to destination (e.g. 'test') >200 times
3. Navigate to destination and click Deployments sub-tab

Actual results:
only last 50 deployments are listed

Expected results:
all deployments are listed


Additional info:
screen-shot attached

Comment 1 Armine Hovsepyan 2014-09-23 08:56:56 UTC
Created attachment 940320 [details]
purge_btn

Comment 3 Jirka Kremser 2014-09-23 12:28:54 UTC
this was fixed by my work on bug 1129051

All we need to do is to cherry-pick the commit from master
104ff1c86

Comment 4 Thomas Segismont 2014-09-23 13:07:08 UTC
(In reply to Jirka Kremser from comment #3)
> this was fixed by my work on bug 1129051
> 
> All we need to do is to cherry-pick the commit from master
> 104ff1c86

The 50 rows limitation should be fixed along with bug 1129051.

But the Purge button issue remains and I'm working on it.

Comment 5 Thomas Segismont 2014-09-23 13:09:27 UTC
By the way, Bug 1129051 is the upstream bug. The product bug is Bug 1145648

Comment 6 Thomas Segismont 2014-09-23 13:59:28 UTC
Fixed in master

commit b8764388e55def65d9bb2dba62c7830ad4783bfa
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue Sep 23 15:57:32 2014 +0200
    
    This would happen when a destination has more than 200 deployments.
    
    Now #checkIfDisabled method does not load all deployments for destination but only one live deployment if it exists.
    
    Side work:
    * removed call to deprecated method

Comment 7 Jay Shaughnessy 2014-09-24 19:36:44 UTC
Release/jon3.3.x commit 3ed7ce007ad34d45c44c0a544f17ff0477fda6cb
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Tue Sep 23 15:57:32 2014 +0200

    (cherry picked from commit b8764388e55def65d9bb2dba62c7830ad4783bfa)
    Signed-off-by: Jay Shaughnessy <jshaughn@redhat.com>

Comment 8 Simeon Pinder 2014-10-01 21:33:33 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 9 Armine Hovsepyan 2014-10-07 09:43:04 UTC
Created attachment 944488 [details]
purge_btn_deployment_count_300

Comment 10 Armine Hovsepyan 2014-10-07 09:43:20 UTC
verified in JON 3.3 ER04


Note You need to log in before you can comment on or make changes to this bug.